---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK27_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libji03t001.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x507F0, symBinAddr: 0x61D0, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x52730, symBinAddr: 0x8110, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x52B20, symBinAddr: 0x8500, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x53AC0, symBinAddr: 0x94A0, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x53AD0, symBinAddr: 0x94B0, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: _call_count, symObjAddr: 0x6B1D0, symBinAddr: 0x20BB0, symSize: 0x0 }
  - { offsetInCU: 0x7D3, offset: 0x7D3, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x50460, symBinAddr: 0x6080, symSize: 0x0 }
  - { offsetInCU: 0x7DE, offset: 0x7DE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x50464, symBinAddr: 0x6084, symSize: 0x0 }
  - { offsetInCU: 0x7E9, offset: 0x7E9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x50468, symBinAddr: 0x6088, symSize: 0x0 }
  - { offsetInCU: 0x82E, offset: 0x82E, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x505B0, symBinAddr: 0x6090, symSize: 0x0 }
  - { offsetInCU: 0x8A7, offset: 0x8A7, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x50668, symBinAddr: 0x6148, symSize: 0x0 }
  - { offsetInCU: 0x8C5, offset: 0x8C5, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x5066C, symBinAddr: 0x614C, symSize: 0x0 }
  - { offsetInCU: 0x8DE, offset: 0x8DE, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x50670, symBinAddr: 0x6150, symSize: 0x0 }
  - { offsetInCU: 0x8F7, offset: 0x8F7, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x50674, symBinAddr: 0x6154, symSize: 0x0 }
  - { offsetInCU: 0x910, offset: 0x910, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x50678, symBinAddr: 0x6158, symSize: 0x0 }
  - { offsetInCU: 0x8EFF, offset: 0x8EFF, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x50680, symBinAddr: 0x6160, symSize: 0x0 }
  - { offsetInCU: 0x8F88, offset: 0x8F88, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x50698, symBinAddr: 0x6178, symSize: 0x0 }
  - { offsetInCU: 0x8FA1, offset: 0x8FA1, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x506A0, symBinAddr: 0x6180, symSize: 0x0 }
  - { offsetInCU: 0x8FBA, offset: 0x8FBA, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x506A8, symBinAddr: 0x6188, symSize: 0x0 }
  - { offsetInCU: 0x8FD3, offset: 0x8FD3, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x506B0, symBinAddr: 0x6190, symSize: 0x0 }
  - { offsetInCU: 0x8FED, offset: 0x8FED, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x506B8, symBinAddr: 0x6198, symSize: 0x0 }
  - { offsetInCU: 0x90D3, offset: 0x90D3, size: 0x8, addend: 0x0, symName: __ZL7verbose, symObjAddr: 0x506FC, symBinAddr: 0x61AC, symSize: 0x0 }
  - { offsetInCU: 0x90F3, offset: 0x90F3, size: 0x8, addend: 0x0, symName: __ZL18orig_jni_functions, symObjAddr: 0x50700, symBinAddr: 0x61B0, symSize: 0x0 }
  - { offsetInCU: 0x910C, offset: 0x910C, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x50708, symBinAddr: 0x61B8, symSize: 0x0 }
  - { offsetInCU: 0x9125, offset: 0x9125, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x50710, symBinAddr: 0x61C0, symSize: 0x0 }
  - { offsetInCU: 0x9145, offset: 0x9145, size: 0x8, addend: 0x0, symName: __ZL19redir_jni_functions, symObjAddr: 0x50718, symBinAddr: 0x61C8, symSize: 0x0 }
  - { offsetInCU: 0x9197, offset: 0x9197, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x11F0, symSize: 0x80 }
  - { offsetInCU: 0x922C, offset: 0x922C, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x1140, symSize: 0xB0 }
  - { offsetInCU: 0x9287, offset: 0x9287, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x1040, symSize: 0x100 }
  - { offsetInCU: 0x951A, offset: 0x951A, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x1270, symSize: 0x220 }
  - { offsetInCU: 0x96FF, offset: 0x96FF, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x1490, symSize: 0xA0 }
  - { offsetInCU: 0x97B2, offset: 0x97B2, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x1530, symSize: 0x110 }
  - { offsetInCU: 0x98A8, offset: 0x98A8, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x1640, symSize: 0x150 }
  - { offsetInCU: 0x99F9, offset: 0x99F9, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x1790, symSize: 0x30 }
  - { offsetInCU: 0x9A82, offset: 0x9A82, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1C40, symBinAddr: 0x17C0, symSize: 0x150 }
  - { offsetInCU: 0x9C7A, offset: 0x9C7A, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1D90, symBinAddr: 0x1910, symSize: 0x160 }
  - { offsetInCU: 0x9E06, offset: 0x9E06, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x2970, symBinAddr: 0x1A70, symSize: 0x1B0 }
  - { offsetInCU: 0xA021, offset: 0xA021, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2B20, symBinAddr: 0x1C20, symSize: 0xA0 }
  - { offsetInCU: 0xA0F0, offset: 0xA0F0, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2E90, symBinAddr: 0x1CC0, symSize: 0x20 }
  - { offsetInCU: 0xA127, offset: 0xA127, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2EB0, symBinAddr: 0x1CE0, symSize: 0x20 }
  - { offsetInCU: 0xA15E, offset: 0xA15E, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2ED0, symBinAddr: 0x1D00, symSize: 0x20 }
  - { offsetInCU: 0xA2CD, offset: 0xA2CD, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3610, symBinAddr: 0x1D20, symSize: 0x1A0 }
  - { offsetInCU: 0xA5EB, offset: 0xA5EB, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DF0, symBinAddr: 0x1EC0, symSize: 0x80 }
  - { offsetInCU: 0xA6B4, offset: 0xA6B4, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E70, symBinAddr: 0x1F40, symSize: 0x6C0 }
  - { offsetInCU: 0xB22A, offset: 0xB22A, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA310, symBinAddr: 0x31E0, symSize: 0xB0 }
  - { offsetInCU: 0xB2A1, offset: 0xB2A1, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x4530, symBinAddr: 0x2600, symSize: 0x70 }
  - { offsetInCU: 0xB33D, offset: 0xB33D, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5280, symBinAddr: 0x2670, symSize: 0xA0 }
  - { offsetInCU: 0xB41C, offset: 0xB41C, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x60F0, symBinAddr: 0x2710, symSize: 0x40 }
  - { offsetInCU: 0xB512, offset: 0xB512, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6130, symBinAddr: 0x2750, symSize: 0x2B0 }
  - { offsetInCU: 0xB8B8, offset: 0xB8B8, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x63E0, symBinAddr: 0x2A00, symSize: 0xC0 }
  - { offsetInCU: 0xB9FE, offset: 0xB9FE, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x64A0, symBinAddr: 0x2AC0, symSize: 0x10 }
  - { offsetInCU: 0xBAC0, offset: 0xBAC0, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x64B0, symBinAddr: 0x2AD0, symSize: 0x240 }
  - { offsetInCU: 0xBDE2, offset: 0xBDE2, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9D10, symBinAddr: 0x2D10, symSize: 0x90 }
  - { offsetInCU: 0xBEAD, offset: 0xBEAD, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9E30, symBinAddr: 0x2DA0, symSize: 0x90 }
  - { offsetInCU: 0xBF78, offset: 0xBF78, size: 0x8, addend: 0x0, symName: _MyGetVersion, symObjAddr: 0x9EC0, symBinAddr: 0x2E30, symSize: 0x50 }
  - { offsetInCU: 0xBFF3, offset: 0xBFF3, size: 0x8, addend: 0x0, symName: _doRedirect, symObjAddr: 0x9F10, symBinAddr: 0x2E80, symSize: 0x170 }
  - { offsetInCU: 0xC1B4, offset: 0xC1B4, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_jni_1interception_JI03_ji03t001_check, symObjAddr: 0xA120, symBinAddr: 0x2FF0, symSize: 0x1F0 }
  - { offsetInCU: 0xC32B, offset: 0xC32B, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA3C0, symBinAddr: 0x3290, symSize: 0x36A }
...
